<div class="row">
  <div class="col-lg-12">

    <ol class="breadcrumb">
      <li class="breadcrumb-item">
        <a routerLink="/" routerLinkActive="active">Tableau de Bord</a>
      </li>
      <li class="breadcrumb-item active">Produits</li>    </ol>
  </div>

</div>
<div class="row">

  <div class="col-md-7">
    <div class="card mb-3">
      <div class="card-header">Ajouter un nouveau Produit</div>
      <div class="card-body">
        <form #heroForm="ngForm" (ngSubmit)="saveProduct()">
          <div class="form-group">
            <div class="form-row">
              <div class="col-md-12">
                <label>Nom du Produit</label>
                <input class="form-control" type="text" placeholder="Nom du Produit" [(ngModel)]="product.nameProduct" name="nameProduct">
              </div>
            </div>
          </div>
          <div class="form-group">
            <label><b>Dimension</b></label>
            <div class="form-row">
              <div class="col-md-4">
                <label>Longueur</label>
                <input class="form-control" name="dimensionProduct.length" type="text" placeholder="Longueur (M)" (keyup)="volume()" [(ngModel)]="product.dimensionProduct.length">
              </div>
              <div class="col-md-4">
                <label>Largeur</label>
                <input class="form-control" name="dimensionProduct.width" type="text" placeholder="Longueur (M)" (keyup)="volume()" [(ngModel)]="product.dimensionProduct.width">
              </div>
              <div class="col-md-4">
                <label>Hauteur</label>
                <input class="form-control" name="dimensionProduct.height" type="text" placeholder="Hauteur (M)" (keyup)="volume()" [(ngModel)]="product.dimensionProduct.height">
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="form-row">
              <div class="col-md-6">
                <label>Volume de Produit (M³)</label>
                <input class="form-control"  name="volumeProduct" type="text" placeholder="Volume de Produit (M³)" [(ngModel)]="product.volumeProduct" disabled>
              </div>
              <div class="col-md-6">
                <label>Poids de Produit (Kg)</label>
                <input class="form-control" name="weightProduct" type="text" placeholder="Poids de Produit (Kg)" [(ngModel)]="product.weightProduct">
              </div>
            </div>
          </div>
          <input type="submit" class="btn btn-primary btn-block" value="Enregistrer">
        </form>
      </div>
    </div>
  </div>

  <div class="col-md-5">
    <div class="product-icone hidden-md hidden-sm hidden-xs">
      <span aria-hidden="true" class="fa fa-cubes"></span>
    </div>
  </div>
</div>